Subject: Re: [PATCH 1/2] net: move and rename netif_notify_peers()

From: Cong Wang <[email-masked]>
Date: Mon, 13 Aug 2012 10:46:42 +0800

On Fri, 2012-08-10 at 20:01 +0100, Ben Hutchings wrote:
> On Fri, 2012-08-10 at 16:14 +0800, Cong Wang wrote:
> > I believe net/core/dev.c is a better place for netif_notify_peers(),
> > because other net event notify functions also stay in this file.
> > 
> > And rename it to netdev_notify_peers().
> [...]
> 
> Is there a convention for using the 'netdev' vs 'netif' prefixes?
> If not, I don't see the point in renaming just this one function.
> 

The reason why I rename it is there are more functions named netdev_*
than netif_* in net/core/dev.c. Also given that netdev_bonding_change()
has netdev_ prefix too.

I don't have strong opinions on this.

Thanks.